Bug 146904 - Gnu.getopt does not include shared library
Gnu.getopt does not include shared library
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnu.getopt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 12:25 EST by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 09:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-02-02 12:25:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.5)
Gecko/20041220 Epiphany/1.4.7

Description of problem:
Packages like libglade-java-2.8.2-2 provide a shared library to link
native-compiled Java code against (ie: libgladejar2.8.so.2.8.2). 
Gnu.getopt does not seem to provide such a library.  Because of this,
building dynamically-linked native-compiled programs that use
gnu.getopt does not seem to work.

Version-Release number of selected component (if applicable):
gnu.getopt-1.0.9-4jpp_1fc

How reproducible:
Always

Steps to Reproduce:
Try to build a piece of software using gcj and gnu.getopt.
    

Actual Results:  [mike@imp tools]$ make
if gcj
--CLASSPATH=/usr/share/java/gtk2.4.jar:/usr/share/java/gnome2.8.jar:/usr/share/java/glade2.8.jar:/usr/share/java/gnu.getopt.jar
-g -O2 -MT GnomeSesameFormat.o -MD -MP -MF
".deps/GnomeSesameFormat.Tpo" -c -o GnomeSesameFormat.o
GnomeSesameFormat.java; \
then mv -f ".deps/GnomeSesameFormat.Tpo" ".deps/GnomeSesameFormat.Po";
else rm -f ".deps/GnomeSesameFormat.Tpo"; exit 1; fi
/bin/sh ../libtool --tag=GCJ --mode=link gcj
--CLASSPATH=/usr/share/java/gtk2.4.jar:/usr/share/java/gnome2.8.jar:/usr/share/java/glade2.8.jar:/usr/share/java/gnu.getopt.jar
-g -O2   -o gnome-sesame-format --main=GnomeSesameFormat
-DSESAME_FORMAT="/usr/sbin/sesame-format"
-DGLADE_FILE="/usr/share/sesame/gnome-sesame-format.glade"
GnomeSesameFormat.o -lgtkjar2.4 -lgnomejar2.8 -lgladejar2.8
mkdir .libs
gcj
--CLASSPATH=/usr/share/java/gtk2.4.jar:/usr/share/java/gnome2.8.jar:/usr/share/java/glade2.8.jar:/usr/share/java/gnu.getopt.jar
-g -O2 -o gnome-sesame-format --main=GnomeSesameFormat
-DSESAME_FORMAT=/usr/sbin/sesame-format
-DGLADE_FILE=/usr/share/sesame/gnome-sesame-format.glade
GnomeSesameFormat.o  -lgtkjar2.4 -lgnomejar2.8 -lgladejar2.8
GnomeSesameFormat.o(.text+0x65a): In function
`GnomeSesameFormat::main(JArray<java::lang::String*>*)':
/home/mike/development/hal-0.2.98.cvs20040923-enc/sandbox/sesame-cvs/tools/GnomeSesameFormat.java:286:
undefined reference to `gnu::getopt::LongOpt::class$'
GnomeSesameFormat.o(.text+0x65e):/home/mike/development/hal-0.2.98.cvs20040923-enc/sandbox/sesame-cvs/tools/GnomeSesameFormat.java:286:
undefined reference to `gnu::getopt::LongOpt::class$'
GnomeSesameFormat.o(.text+0x6a8):/home/mike/development/hal-0.2.98.cvs20040923-enc/sandbox/sesame-cvs/tools/GnomeSesameFormat.java:288:
undefined reference to
`gnu::getopt::LongOpt::LongOpt(java::lang::String*, int,
java::lang::StringBuffer*, int)'
GnomeSesameFormat.o(.text+0x6ec):/home/mike/development/hal-0.2.98.cvs20040923-enc/sandbox/sesame-cvs/tools/GnomeSesameFormat.java:290:
undefined reference to
`gnu::getopt::LongOpt::LongOpt(java::lang::String*, int,
java::lang::StringBuffer*, int)'
GnomeSesameFormat.o(.text+0x6fe):/home/mike/development/hal-0.2.98.cvs20040923-enc/sandbox/sesame-cvs/tools/GnomeSesameFormat.java:292:
undefined reference to `gnu::getopt::Getopt::class$'
GnomeSesameFormat.o(.text+0x70a):/home/mike/development/hal-0.2.98.cvs20040923-enc/sandbox/sesame-cvs/tools/GnomeSesameFormat.java:292:
undefined reference to `gnu::getopt::Getopt::class$'
GnomeSesameFormat.o(.text+0x72c):/home/mike/development/hal-0.2.98.cvs20040923-enc/sandbox/sesame-cvs/tools/GnomeSesameFormat.java:292:
undefined reference to
`gnu::getopt::Getopt::Getopt(java::lang::String*,
JArray<java::lang::String*>*, java::lang::String*,
JArray<gnu::getopt::LongOpt*>*)'
collect2: ld returned 1 exit status
make: *** [gnome-sesame-format] Error 1

Additional info:
Comment 1 Gary Benson 2005-04-21 09:07:27 EDT
Not an issue with the BC ABI.

Note You need to log in before you can comment on or make changes to this bug.